<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\Core\Icon\IconInterface;






trait MenuItemLinkTrait
{
    private bool $disabled;
    private ?IconInterface $icon;
    private bool $newWindow;
    private string $title;
    private string $url;
    
    
    public function getDisabled() : bool
    {
        return $this->disabled;
    }
    
    
    public function getIcon() : ?IconInterface
    {
        return $this->icon;
    }
    
    
    public function getNewWindow() : bool
    {
        return $this->newWindow;
    }
    
    
    public function getTitle() : string
    {
        return $this->title;
    }
    
    
    public function getUrl() : string
    {
        return $this->url;
    }
    
    
    public function setDisabled(bool $visible) : void
    {
        $this->disabled = $visible;
    }
    
    
    public function setIcon(?IconInterface $icon) : void
    {
        $this->icon = $icon;
    }
    
    
    public function setNewWindow(bool $newWindow) : void
    {
        $this->newWindow = $newWindow;
    }
    
    
    public function setTitle(string $title) : void
    {
        $this->title = $title;
    }
    
    
    public function setUrl(string $url) : void
    {
        $this->url = $url;
    }
}